org.apache.hadoop.yarn.api.protocolrecords.impl.pb

## Class StopContainersResponsePBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.StopContainersResponse
  - - org.apache.hadoop.yarn.api.protocolrecords.impl.pb.StopContainersResponsePBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class StopContainersResponsePBImpl
      extends org.apache.hadoop.yarn.api.protocolrecords.StopContainersResponse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StopContainersResponsePBImpl()`
    `StopContainersResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.StopContainersResponseProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `Map<org.apache.hadoop.yarn.api.records.ContainerId,org.apache.hadoop.yarn.api.records.SerializedException>` | `getFailedRequests()`
    `org.apache.hadoop.yarn.proto.YarnServiceProtos.StopContainersResponseProto` | `getProto()`
    `List<org.apache.hadoop.yarn.api.records.ContainerId>` | `getSuccessfullyStoppedContainers()`
    `int` | `hashCode()`
    `void` | `setFailedRequests(Map<org.apache.hadoop.yarn.api.records.ContainerId,org.apache.hadoop.yarn.api.records.SerializedException> failedRequests)`
    `void` | `setSuccessfullyStoppedContainers(List<org.apache.hadoop.yarn.api.records.ContainerId> succeededRequests)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.StopContainersResponse

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StopContainersResponsePBImpl

          public StopContainersResponsePBImpl()

    - #### StopContainersResponsePBImpl

          public StopContainersResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.StopContainersResponseProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServiceProtos.StopContainersResponseProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getSuccessfullyStoppedContainers

          public List<org.apache.hadoop.yarn.api.records.ContainerId> getSuccessfullyStoppedContainers()

      Specified by:
        `getSuccessfullyStoppedContainers` in class `org.apache.hadoop.yarn.api.protocolrecords.StopContainersResponse`

    - #### setSuccessfullyStoppedContainers

          public void setSuccessfullyStoppedContainers(List<org.apache.hadoop.yarn.api.records.ContainerId> succeededRequests)

      Specified by:
        `setSuccessfullyStoppedContainers` in class `org.apache.hadoop.yarn.api.protocolrecords.StopContainersResponse`

    - #### getFailedRequests

          public Map<org.apache.hadoop.yarn.api.records.ContainerId,org.apache.hadoop.yarn.api.records.SerializedException> getFailedRequests()

      Specified by:
        `getFailedRequests` in class `org.apache.hadoop.yarn.api.protocolrecords.StopContainersResponse`

    - #### setFailedRequests

          public void setFailedRequests(Map<org.apache.hadoop.yarn.api.records.ContainerId,org.apache.hadoop.yarn.api.records.SerializedException> failedRequests)

      Specified by:
        `setFailedRequests` in class `org.apache.hadoop.yarn.api.protocolrecords.StopContainersResponse`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.